Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.mdm.index.matching.adapter
Class SbmeStandardizerAdapterConfig

    java.lang.Object
      com.sun.mdm.index.matching.adapter.SbmeStandardizerAdapterConfig

All Implemented Interfaces:
  StandardizerEngineConfiguration

public class SbmeStandardizerAdapterConfig
extends java.lang.Object
implements StandardizerEngineConfiguration

Class to provide the Master Index standardization engine with user configuration. It allows the Standardization Engine access to the Configuration Service.

Nested Class Summary
`static class` | `SbmeStandardizerAdapterConfig.CSConfigFileAccess` Inner class that implements the Master Index standardization engine interface giving access to the configuration files.

Constructor Summary
`SbmeStandardizerAdapterConfig()` Creates new SbmeMatcherAdapterConfig

Method Summary
`SbmeStandardizerAdapterConfig.CSConfigFileAccess` | `getConfigFileAccess()` Get access to the standardization engine configuration files from the Configuration Service

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SbmeStandardizerAdapterConfig

    public SbmeStandardizerAdapterConfig()

  Creates new SbmeMatcherAdapterConfig

Method Detail

### getConfigFileAccess

    public SbmeStandardizerAdapterConfig.CSConfigFileAccess getConfigFileAccess()
                                                                         throws java.lang.InstantiationException,
                                                                                ConfigurationException

  Get access to the standardization engine configuration files from the Configuration Service

  Returns:
    the configuration file access
  Throws:
    `java.lang.InstantiationException`
    `ConfigurationException`

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Sun Microsystems, Inc.